
Dil 🇹🇷 Türkçe
Dokümantasyon
Başlarken
API Referansı
Kullanım
Toplama
Denetim Kayıtları
Kimlik Doğrulama
Yorumdan Bloklama
Bloklanan Yorumları Kontrol Et
Yorumlar
Kullanıcı İçin Yorumlar
Domain Yapılandırmaları
Eposta Şablonları
Olay Kayıtları
Akış Gönderileri
Yorum İşaretleme
Gifler
Etiketler
Moderatörlük
Moderatörler
Bildirim Sayısı
Bildirimler
Sayfa Reaksiyonları
Sayfalar
Bekleyen Webhook Olayları
Soru Yapılandırmaları
Soru Sonuçları
Soru Sonuçları Toplama
SSO Kullanıcıları
Abonelikler
Kiracı Günlük Kullanımı
Kiracı Paketleri
Kiracı Kullanıcıları
Kiracılar
Biletler
Çeviriler
Resim Yükleme
Kullanıcı Rozet İlerlemesi
Kullanıcı Rozetleri
Kullanıcı Bildirimleri
Kullanıcı Varlık Durumu
Kullanıcı Arama
Kullanıcılar
Oylar
FastComments Nim SDK
Bu, FastComments için resmi Nim SDK'sıdır.
FastComments API'si için resmi Nim SDK
Depo
Yapay Zeka kodlama ajanları 
Kodlama ajanınıza FastComments bağlamını sağlayın - widget'lar, yapılandırma, Güvenli SSO, REST API ve SDK'lar:
npx skills add fastcomments/skills
Claude Code, Codex, Cursor, Copilot, Gemini ve skills CLI tarafından desteklenen diğer tüm ajanlarla çalışır.
Kurulum 
Nimble Kullanımı
nimble install fastcomments
Kaynağından Derleme
nimble build
Kütüphane İçeriği
Bu kütüphane, API ile çalışmayı kolaylaştıran oluşturulmuş API istemcisini ve SSO yardımcı programlarını içerir.
Genel ve Güvenli API'ler
API istemcisi için üç API modülü vardır: api_default, api_public ve api_moderation. api_default, API anahtarınızı gerektiren metodları içerirken, api_public kimlik doğrulama gerektirmeden doğrudan bir tarayıcı/mobil cihaz vb. üzerinden yapılabilen API çağrılarını içerir. api_moderation modülü, moderatör kontrol paneli için metodları içerir.
api_moderation modülü, canlı ve hızlı denetleme API'lerinin kapsamlı bir paketini sunar. Her api_moderation metodu bir sso parametresi alır ve SSO veya bir FastComments.com oturum çerezi aracılığıyla kimlik doğrulaması yapabilir.
Hızlı Başlangıç 
Kimlik Doğrulamalı API'leri Kullanma (DefaultAPI)
Önemli: Kimlik doğrulamalı uç noktalar API anahtarınızın x-api-key başlığı olarak ayarlanmasını gerektirir.
import httpclient
import fastcomments
import fastcomments/apis/api_default
import fastcomments/models/model_comment_data
let client = newHttpClient()
client.headers["x-api-key"] = "your-api-key"
# Kimlik doğrulamalı API çağrıları yapın.
# Gerekli parametreler (ve istek gövdesi) konumsaldır; isteğe bağlı
# parametreler operasyonun seçenekler nesnesi aracılığıyla iletilir.
let (response, httpResponse) = getComments(
httpClient = client,
tenantId = "your-tenant-id",
options = GetCommentsOptions(
urlId: "your-url-id",
direction: SortDirections.DESC
)
)
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
Genel API'leri Kullanma (PublicAPI)
Genel uç noktalar kimlik doğrulama gerektirmez:
import httpclient
import fastcomments
import fastcomments/apis/api_public
let client = newHttpClient()
# Genel API çağrıları yapın.
# tenantId ve urlId gereklidir (konumsal); diğer tüm parametreler isteğe bağlıdır.
let (response, httpResponse) = getCommentsPublic(
httpClient = client,
tenantId = "your-tenant-id",
urlId = "your-url-id",
options = GetCommentsPublicOptions(
direction: SortDirections.DESC
)
)
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
Moderasyon API'lerini Kullanma (ModerationAPI)
Moderasyon uç noktaları moderatör panelini çalıştırır ve işlemi yapan moderatör için bir SSO tokenı ile kimlik doğrulaması yapılır:
import httpclient
import fastcomments
import fastcomments/apis/api_moderation
let client = newHttpClient()
# Moderasyon panelindeki yorumları listele.
# Bu işlem için gerekli parametre yoktur, bu yüzden tümü isteğe bağlıdır.
let (response, httpResponse) = getApiComments(
httpClient = client,
options = GetApiCommentsOptions(
count: 30,
tenantId: "your-tenant-id",
sso: "your-sso-token"
)
)
if response.isSome:
let resp = response.get()
echo "Found ", resp.comments.len, " comments"
Yaygın Sorunlar
- 401 kimlik doğrulama hatası: DefaultAPI istekleri yapmadan önce HttpClient'ınızda
x-api-keybaşlığını ayarladığınızdan emin olun:client.headers["x-api-key"] = "your-api-key" - Yanlış API sınıfı: Sunucu tarafı kimlik doğrulamalı istekler için
api_default, istemci/halka açık istekler içinapi_publicve moderatör paneli istekleri içinapi_moderationkullanın.
API Çağrıları Yapma 
All API methods in this SDK return tuples of (Option[ResponseType], Response). The first element contains the parsed response if successful, and the second element is the raw HTTP response.
Required parameters and the request body are passed positionally. The remaining optional parameters are collected into a single Api<Operation>Options object, which is the last argument. Operations with no optional parameters take no options object.
Örnek: Yorumları Getirme
import httpclient
import options
import fastcomments
import fastcomments/apis/api_default
let client = newHttpClient()
client.headers["x-api-key"] = "your-api-key"
let (response, httpResponse) = getComments(
httpClient = client,
tenantId = "your-tenant-id",
options = GetCommentsOptions(
urlId: "your-url-id",
direction: SortDirections.DESC
)
)
if httpResponse.code == Http200:
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
Notlar 
Yayın Kimlikleri
Bazı API çağrılarında broadcastId geçirmeniz gerektiğini göreceksiniz. Olayları aldığınızda bu ID'yi geri alırsınız, böylece istemcide değişiklikleri iyimser şekilde uygulamayı planlıyorsanız olayı görmezden gelebilirsiniz (muhtemelen en iyi deneyimi sunduğu için bunu yapmak isteyeceksiniz). Buraya bir UUID gönderin. ID, bir tarayıcı oturumu içinde iki kez oluşmayacak kadar benzersiz olmalıdır.
SSO (Tek Oturum Açma)
SSO örnekleri için aşağıya bakın.
SSO Kullanımı 
Basit SSO
import fastcomments/sso
let user = newSimpleSSOUserData(
userId = "user-123",
email = "user@example.com",
avatar = "https://example.com/avatar.jpg"
)
let sso = newSimple(simpleUserData = user)
let token = sso.createToken()
echo "SSO Token: ", token
Güvenli SSO
import fastcomments/sso
let user = newSecureSSOUserData(
userId = "user-123",
email = "user@example.com",
username = "johndoe",
avatar = "https://example.com/avatar.jpg"
)
let apiKey = "your-api-key"
let sso = newSecure(apiKey = apiKey, secureUserData = user)
let token = sso.createToken()
echo "Secure SSO Token: ", token
FastComments için Dokümantasyon 
Documentation for API Endpoints
All URIs are relative to https://fastcomments.com
| Class | Method | HTTP request | Description |
|---|---|---|---|
| DefaultApi | addDomainConfig | POST /api/v1/domain-configs | |
| DefaultApi | addHashTag | POST /api/v1/hash-tags | |
| DefaultApi | addHashTagsBulk | POST /api/v1/hash-tags/bulk | |
| DefaultApi | addPage | POST /api/v1/pages | |
| DefaultApi | addSSOUser | POST /api/v1/sso-users | |
| DefaultApi | aggregate | POST /api/v1/aggregate | Aggregates documents by grouping them (if groupBy is provided) and applying multiple operations. Different operations (e.g. sum, countDistinct, avg, etc.) are supported. |
| DefaultApi | aggregateQuestionResults | GET /api/v1/question-results-aggregation | |
| DefaultApi | blockUserFromComment | POST /api/v1/comments/{id}/block | |
| DefaultApi | bulkAggregateQuestionResults | POST /api/v1/question-results-aggregation/bulk | |
| DefaultApi | changeTicketState | PATCH /api/v1/tickets/{id}/state | |
| DefaultApi | combineCommentsWithQuestionResults | GET /api/v1/question-results-aggregation/combine/comments | |
| DefaultApi | createEmailTemplate | POST /api/v1/email-templates | |
| DefaultApi | createFeedPost | POST /api/v1/feed-posts | |
| DefaultApi | createModerator | POST /api/v1/moderators | |
| DefaultApi | createQuestionConfig | POST /api/v1/question-configs | |
| DefaultApi | createQuestionResult | POST /api/v1/question-results | |
| DefaultApi | createSubscription | POST /api/v1/subscriptions | |
| DefaultApi | createTenant | POST /api/v1/tenants | |
| DefaultApi | createTenantPackage | POST /api/v1/tenant-packages | |
| DefaultApi | createTenantUser | POST /api/v1/tenant-users | |
| DefaultApi | createTicket | POST /api/v1/tickets | |
| DefaultApi | createUserBadge | POST /api/v1/user-badges | |
| DefaultApi | createVote | POST /api/v1/votes | |
| DefaultApi | deleteComment | DELETE /api/v1/comments/{id} | |
| DefaultApi | deleteDomainConfig | DELETE /api/v1/domain-configs/{domain} | |
| DefaultApi | deleteEmailTemplate | DELETE /api/v1/email-templates/{id} | |
| DefaultApi | deleteEmailTemplateRenderError | DELETE /api/v1/email-templates/{id}/render-errors/{errorId} | |
| DefaultApi | deleteHashTag | DELETE /api/v1/hash-tags/{tag} | |
| DefaultApi | deleteModerator | DELETE /api/v1/moderators/{id} | |
| DefaultApi | deleteNotificationCount | DELETE /api/v1/notification-count/{id} | |
| DefaultApi | deletePage | DELETE /api/v1/pages/{id} | |
| DefaultApi | deletePendingWebhookEvent | DELETE /api/v1/pending-webhook-events/{id} | |
| DefaultApi | deleteQuestionConfig | DELETE /api/v1/question-configs/{id} | |
| DefaultApi | deleteQuestionResult | DELETE /api/v1/question-results/{id} | |
| DefaultApi | deleteSSOUser | DELETE /api/v1/sso-users/{id} | |
| DefaultApi | deleteSubscription | DELETE /api/v1/subscriptions/{id} | |
| DefaultApi | deleteTenant | DELETE /api/v1/tenants/{id} | |
| DefaultApi | deleteTenantPackage | DELETE /api/v1/tenant-packages/{id} | |
| DefaultApi | deleteTenantUser | DELETE /api/v1/tenant-users/{id} | |
| DefaultApi | deleteUserBadge | DELETE /api/v1/user-badges/{id} | |
| DefaultApi | deleteVote | DELETE /api/v1/votes/{id} | |
| DefaultApi | flagComment | POST /api/v1/comments/{id}/flag | |
| DefaultApi | getAuditLogs | GET /api/v1/audit-logs | |
| DefaultApi | getCachedNotificationCount | GET /api/v1/notification-count/{id} | |
| DefaultApi | getComment | GET /api/v1/comments/{id} | |
| DefaultApi | getComments | GET /api/v1/comments | |
| DefaultApi | getDomainConfig | GET /api/v1/domain-configs/{domain} | |
| DefaultApi | getDomainConfigs | GET /api/v1/domain-configs | |
| DefaultApi | getEmailTemplate | GET /api/v1/email-templates/{id} | |
| DefaultApi | getEmailTemplateDefinitions | GET /api/v1/email-templates/definitions | |
| DefaultApi | getEmailTemplateRenderErrors | GET /api/v1/email-templates/{id}/render-errors | |
| DefaultApi | getEmailTemplates | GET /api/v1/email-templates | |
| DefaultApi | getFeedPosts | GET /api/v1/feed-posts | req tenantId afterId |
| DefaultApi | getHashTags | GET /api/v1/hash-tags | |
| DefaultApi | getModerator | GET /api/v1/moderators/{id} | |
| DefaultApi | getModerators | GET /api/v1/moderators | |
| DefaultApi | getNotificationCount | GET /api/v1/notifications/count | |
| DefaultApi | getNotifications | GET /api/v1/notifications | |
| DefaultApi | getPageByURLId | GET /api/v1/pages/by-url-id | |
| DefaultApi | getPages | GET /api/v1/pages | |
| DefaultApi | getPendingWebhookEventCount | GET /api/v1/pending-webhook-events/count | |
| DefaultApi | getPendingWebhookEvents | GET /api/v1/pending-webhook-events | |
| DefaultApi | getQuestionConfig | GET /api/v1/question-configs/{id} | |
| DefaultApi | getQuestionConfigs | GET /api/v1/question-configs | |
| DefaultApi | getQuestionResult | GET /api/v1/question-results/{id} | |
| DefaultApi | getQuestionResults | GET /api/v1/question-results | |
| DefaultApi | getSSOUserByEmail | GET /api/v1/sso-users/by-email/{email} | |
| DefaultApi | getSSOUserById | GET /api/v1/sso-users/by-id/{id} | |
| DefaultApi | getSSOUsers | GET /api/v1/sso-users | |
| DefaultApi | getSubscriptions | GET /api/v1/subscriptions | |
| DefaultApi | getTenant | GET /api/v1/tenants/{id} | |
| DefaultApi | getTenantDailyUsages | GET /api/v1/tenant-daily-usage | |
| DefaultApi | getTenantPackage | GET /api/v1/tenant-packages/{id} | |
| DefaultApi | getTenantPackages | GET /api/v1/tenant-packages | |
| DefaultApi | getTenantUser | GET /api/v1/tenant-users/{id} | |
| DefaultApi | getTenantUsers | GET /api/v1/tenant-users | |
| DefaultApi | getTenants | GET /api/v1/tenants | |
| DefaultApi | getTicket | GET /api/v1/tickets/{id} | |
| DefaultApi | getTickets | GET /api/v1/tickets | |
| DefaultApi | getUser | GET /api/v1/users/{id} | |
| DefaultApi | getUserBadge | GET /api/v1/user-badges/{id} | |
| DefaultApi | getUserBadgeProgressById | GET /api/v1/user-badge-progress/{id} | |
| DefaultApi | getUserBadgeProgressByUserId | GET /api/v1/user-badge-progress/user/{userId} | |
| DefaultApi | getUserBadgeProgressList | GET /api/v1/user-badge-progress | |
| DefaultApi | getUserBadges | GET /api/v1/user-badges | |
| DefaultApi | getVotes | GET /api/v1/votes | |
| DefaultApi | getVotesForUser | GET /api/v1/votes/for-user | |
| DefaultApi | patchDomainConfig | PATCH /api/v1/domain-configs/{domainToUpdate} | |
| DefaultApi | patchHashTag | PATCH /api/v1/hash-tags/{tag} | |
| DefaultApi | patchPage | PATCH /api/v1/pages/{id} | |
| DefaultApi | patchSSOUser | PATCH /api/v1/sso-users/{id} | |
| DefaultApi | putDomainConfig | PUT /api/v1/domain-configs/{domainToUpdate} | |
| DefaultApi | putSSOUser | PUT /api/v1/sso-users/{id} | |
| DefaultApi | renderEmailTemplate | POST /api/v1/email-templates/render | |
| DefaultApi | replaceTenantPackage | PUT /api/v1/tenant-packages/{id} | |
| DefaultApi | replaceTenantUser | PUT /api/v1/tenant-users/{id} | |
| DefaultApi | saveComment | POST /api/v1/comments | |
| DefaultApi | saveCommentsBulk | POST /api/v1/comments/bulk | |
| DefaultApi | sendInvite | POST /api/v1/moderators/{id}/send-invite | |
| DefaultApi | sendLoginLink | POST /api/v1/tenant-users/{id}/send-login-link | |
| DefaultApi | unBlockUserFromComment | POST /api/v1/comments/{id}/un-block | |
| DefaultApi | unFlagComment | POST /api/v1/comments/{id}/un-flag | |
| DefaultApi | updateComment | PATCH /api/v1/comments/{id} | |
| DefaultApi | updateEmailTemplate | PATCH /api/v1/email-templates/{id} | |
| DefaultApi | updateFeedPost | PATCH /api/v1/feed-posts/{id} | |
| DefaultApi | updateModerator | PATCH /api/v1/moderators/{id} | |
| DefaultApi | updateNotification | PATCH /api/v1/notifications/{id} | |
| DefaultApi | updateQuestionConfig | PATCH /api/v1/question-configs/{id} | |
| DefaultApi | updateQuestionResult | PATCH /api/v1/question-results/{id} | |
| DefaultApi | updateSubscription | PATCH /api/v1/subscriptions/{id} | |
| DefaultApi | updateTenant | PATCH /api/v1/tenants/{id} | |
| DefaultApi | updateTenantPackage | PATCH /api/v1/tenant-packages/{id} | |
| DefaultApi | updateTenantUser | PATCH /api/v1/tenant-users/{id} | |
| DefaultApi | updateUserBadge | PUT /api/v1/user-badges/{id} | |
| ModerationApi | deleteModerationVote | DELETE /auth/my-account/moderate-comments/mod_api/vote/{commentId}/{voteId} | |
| ModerationApi | getApiComments | GET /auth/my-account/moderate-comments/mod_api/api/comments | |
| ModerationApi | getApiExportStatus | GET /auth/my-account/moderate-comments/mod_api/api/export/status | |
| ModerationApi | getApiIds | GET /auth/my-account/moderate-comments/mod_api/api/ids | |
| ModerationApi | getBanUsersFromComment | GET /auth/my-account/moderate-comments/mod_api/ban-users/from-comment/{commentId} | |
| ModerationApi | getCommentBanStatus | GET /auth/my-account/moderate-comments/mod_api/get-comment-ban-status/{commentId} | |
| ModerationApi | getCommentChildren | GET /auth/my-account/moderate-comments/mod_api/comment-children/{commentId} | |
| ModerationApi | getCount | GET /auth/my-account/moderate-comments/mod_api/count | |
| ModerationApi | getCounts | GET /auth/my-account/moderate-comments/banned-users/mod_api/counts | |
| ModerationApi | getLogs | GET /auth/my-account/moderate-comments/mod_api/logs/{commentId} | |
| ModerationApi | getManualBadges | GET /auth/my-account/moderate-comments/mod_api/get-manual-badges | |
| ModerationApi | getManualBadgesForUser | GET /auth/my-account/moderate-comments/mod_api/get-manual-badges-for-user | |
| ModerationApi | getModerationComment | GET /auth/my-account/moderate-comments/mod_api/comment/{commentId} | |
| ModerationApi | getModerationCommentText | GET /auth/my-account/moderate-comments/mod_api/get-comment-text/{commentId} | |
| ModerationApi | getPreBanSummary | GET /auth/my-account/moderate-comments/mod_api/pre-ban-summary/{commentId} | |
| ModerationApi | getSearchCommentsSummary | GET /auth/my-account/moderate-comments/mod_api/search/comments/summary | |
| ModerationApi | getSearchPages | GET /auth/my-account/moderate-comments/mod_api/search/pages | |
| ModerationApi | getSearchSites | GET /auth/my-account/moderate-comments/mod_api/search/sites | |
| ModerationApi | getSearchSuggest | GET /auth/my-account/moderate-comments/mod_api/search/suggest | |
| ModerationApi | getSearchUsers | GET /auth/my-account/moderate-comments/mod_api/search/users | |
| ModerationApi | getTrustFactor | GET /auth/my-account/moderate-comments/mod_api/get-trust-factor | |
| ModerationApi | getUserBanPreference | GET /auth/my-account/moderate-comments/mod_api/user-ban-preference | |
| ModerationApi | getUserInternalProfile | GET /auth/my-account/moderate-comments/mod_api/get-user-internal-profile | |
| ModerationApi | postAdjustCommentVotes | POST /auth/my-account/moderate-comments/mod_api/adjust-comment-votes/{commentId} | |
| ModerationApi | postApiExport | POST /auth/my-account/moderate-comments/mod_api/api/export | |
| ModerationApi | postBanUserFromComment | POST /auth/my-account/moderate-comments/mod_api/ban-user/from-comment/{commentId} | |
| ModerationApi | postBanUserUndo | POST /auth/my-account/moderate-comments/mod_api/ban-user/undo | |
| ModerationApi | postBulkPreBanSummary | POST /auth/my-account/moderate-comments/mod_api/bulk-pre-ban-summary | |
| ModerationApi | postCommentsByIds | POST /auth/my-account/moderate-comments/mod_api/comments-by-ids | |
| ModerationApi | postFlagComment | POST /auth/my-account/moderate-comments/mod_api/flag-comment/{commentId} | |
| ModerationApi | postRemoveComment | POST /auth/my-account/moderate-comments/mod_api/remove-comment/{commentId} | |
| ModerationApi | postRestoreDeletedComment | POST /auth/my-account/moderate-comments/mod_api/restore-deleted-comment/{commentId} | |
| ModerationApi | postSetCommentApprovalStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-approval-status/{commentId} | |
| ModerationApi | postSetCommentReviewStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-review-status/{commentId} | |
| ModerationApi | postSetCommentSpamStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-spam-status/{commentId} | |
| ModerationApi | postSetCommentText | POST /auth/my-account/moderate-comments/mod_api/set-comment-text/{commentId} | |
| ModerationApi | postUnFlagComment | POST /auth/my-account/moderate-comments/mod_api/un-flag-comment/{commentId} | |
| ModerationApi | postVote | POST /auth/my-account/moderate-comments/mod_api/vote/{commentId} | |
| ModerationApi | putAwardBadge | PUT /auth/my-account/moderate-comments/mod_api/award-badge | |
| ModerationApi | putCloseThread | PUT /auth/my-account/moderate-comments/mod_api/close-thread | |
| ModerationApi | putRemoveBadge | PUT /auth/my-account/moderate-comments/mod_api/remove-badge | |
| ModerationApi | putReopenThread | PUT /auth/my-account/moderate-comments/mod_api/reopen-thread | |
| ModerationApi | setTrustFactor | PUT /auth/my-account/moderate-comments/mod_api/set-trust-factor | |
| PublicApi | blockFromCommentPublic | POST /block-from-comment/{commentId} | |
| PublicApi | checkedCommentsForBlocked | GET /check-blocked-comments | |
| PublicApi | createCommentPublic | POST /comments/{tenantId} | |
| PublicApi | createFeedPostPublic | POST /feed-posts/{tenantId} | |
| PublicApi | createV1PageReact | POST /page-reacts/v1/likes/{tenantId} | |
| PublicApi | createV2PageReact | POST /page-reacts/v2/{tenantId} | |
| PublicApi | deleteCommentPublic | DELETE /comments/{tenantId}/{commentId} | |
| PublicApi | deleteCommentVote | DELETE /comments/{tenantId}/{commentId}/vote/{voteId} | |
| PublicApi | deleteFeedPostPublic | DELETE /feed-posts/{tenantId}/{postId} | |
| PublicApi | deleteV1PageReact | DELETE /page-reacts/v1/likes/{tenantId} | |
| PublicApi | deleteV2PageReact | DELETE /page-reacts/v2/{tenantId} | |
| PublicApi | flagCommentPublic | POST /flag-comment/{commentId} | |
| PublicApi | getCommentText | GET /comments/{tenantId}/{commentId}/text | |
| PublicApi | getCommentVoteUserNames | GET /comments/{tenantId}/{commentId}/votes | |
| PublicApi | getCommentsForUser | GET /comments-for-user | |
| PublicApi | getCommentsPublic | GET /comments/{tenantId} | req tenantId urlId |
| PublicApi | getEventLog | GET /event-log/{tenantId} | req tenantId urlId userIdWS |
| PublicApi | getFeedPostsPublic | GET /feed-posts/{tenantId} | req tenantId afterId |
| PublicApi | getFeedPostsStats | GET /feed-posts/{tenantId}/stats | |
| PublicApi | getGifLarge | GET /gifs/get-large/{tenantId} | |
| PublicApi | getGifsSearch | GET /gifs/search/{tenantId} | |
| PublicApi | getGifsTrending | GET /gifs/trending/{tenantId} | |
| PublicApi | getGlobalEventLog | GET /event-log/global/{tenantId} | req tenantId urlId userIdWS |
| PublicApi | getOfflineUsers | GET /pages/{tenantId}/users/offline | Past commenters on the page who are NOT currently online. Sorted by displayName. Use this after exhausting /users/online to render a "Members" section. Cursor pagination on commenterName: server walks the partial {tenantId, urlId, commenterName} index from afterName forward via $gt, no $skip cost. |
| PublicApi | getOnlineUsers | GET /pages/{tenantId}/users/online | Currently-online viewers of a page: people whose websocket session is subscribed to the page right now. Returns anonCount + totalCount (room-wide subscribers, including anon viewers we don't enumerate). |
| PublicApi | getPagesPublic | GET /pages/{tenantId} | List pages for a tenant. Used by the FChat desktop client to populate its room list. Requires enableFChat to be true on the resolved custom config for each page. Pages that require SSO are filtered against the requesting user's group access. |
| PublicApi | getTranslations | GET /translations/{namespace}/{component} | |
| PublicApi | getUserNotificationCount | GET /user-notifications/get-count | |
| PublicApi | getUserNotifications | GET /user-notifications | |
| PublicApi | getUserPresenceStatuses | GET /user-presence-status | |
| PublicApi | getUserReactsPublic | GET /feed-posts/{tenantId}/user-reacts | |
| PublicApi | getUsersInfo | GET /pages/{tenantId}/users/info | Bulk user info for a tenant. Given userIds, return display info from User / SSOUser. Used by the comment widget to enrich users that just appeared via a presence event. No page context: privacy is enforced uniformly (private profiles are masked). |
| PublicApi | getV1PageLikes | GET /page-reacts/v1/likes/{tenantId} | |
| PublicApi | getV2PageReactUsers | GET /page-reacts/v2/{tenantId}/list | |
| PublicApi | getV2PageReacts | GET /page-reacts/v2/{tenantId} | |
| PublicApi | lockComment | POST /comments/{tenantId}/{commentId}/lock | |
| PublicApi | logoutPublic | PUT /auth/logout | |
| PublicApi | pinComment | POST /comments/{tenantId}/{commentId}/pin | |
| PublicApi | reactFeedPostPublic | POST /feed-posts/{tenantId}/react/{postId} | |
| PublicApi | resetUserNotificationCount | POST /user-notifications/reset-count | |
| PublicApi | resetUserNotifications | POST /user-notifications/reset | |
| PublicApi | searchUsers | GET /user-search/{tenantId} | |
| PublicApi | setCommentText | POST /comments/{tenantId}/{commentId}/update-text | |
| PublicApi | unBlockCommentPublic | DELETE /block-from-comment/{commentId} | |
| PublicApi | unLockComment | POST /comments/{tenantId}/{commentId}/unlock | |
| PublicApi | unPinComment | POST /comments/{tenantId}/{commentId}/unpin | |
| PublicApi | updateFeedPostPublic | PUT /feed-posts/{tenantId}/{postId} | |
| PublicApi | updateUserNotificationCommentSubscriptionStatus | POST /user-notifications/{notificationId}/mark-opted/{optedInOrOut} | Enable or disable notifications for a specific comment. |
| PublicApi | updateUserNotificationPageSubscriptionStatus | POST /user-notifications/set-subscription-state/{subscribedOrUnsubscribed} | Enable or disable notifications for a page. When users are subscribed to a page, notifications are created for new root comments, and also |
| PublicApi | updateUserNotificationStatus | POST /user-notifications/{notificationId}/mark/{newStatus} | |
| PublicApi | uploadImage | POST /upload-image/{tenantId} | Upload and resize an image |
| PublicApi | voteComment | POST /comments/{tenantId}/{commentId}/vote |
Documentation for Models
- APIAuditLog
- APIBanUserChangeLog
- APIBanUserChangedValues
- APIBannedUser
- APIBannedUserWithMultiMatchInfo
- APIComment
- APICommentBase
- APICommentBase_meta
- APICommentCommonBannedUser
- APICreateUserBadgeResponse
- APIDomainConfiguration
- APIEmptyResponse
- APIEmptySuccessResponse
- APIError
- APIGetCommentResponse
- APIGetCommentsResponse
- APIGetUserBadgeProgressListResponse
- APIGetUserBadgeProgressResponse
- APIGetUserBadgeResponse
- APIGetUserBadgesResponse
- APIModerateGetUserBanPreferencesResponse
- APIModerateUserBanPreferences
- APIPage
- APISSOUser
- APISaveCommentResponse
- APIStatus
- APITenant
- APITenantDailyUsage
- APITicket
- APITicketDetail
- APITicketFile
- APIUserSubscription
- AddDomainConfigParams
- AddDomainConfigResponse
- AddDomainConfigResponse_anyOf
- AddPageAPIResponse
- AddSSOUserAPIResponse
- AdjustCommentVotesParams
- AdjustVotesResponse
- AggregateQuestionResultsResponse
- AggregateResponse
- AggregateTimeBucket
- AggregationAPIError
- AggregationItem
- AggregationOpType
- AggregationOperation
- AggregationRequest
- AggregationRequest_sort
- AggregationResponse
- AggregationResponse_stats
- AggregationValue
- AwardUserBadgeResponse
- BanUserFromCommentResult
- BanUserUndoParams
- BannedUserMatch
- BannedUserMatchType
- BannedUserMatch_matchedOnValue
- BillingInfo
- BlockFromCommentParams
- BlockSuccess
- BuildModerationFilterParams
- BuildModerationFilterResponse
- BulkAggregateQuestionItem
- BulkAggregateQuestionResultsRequest
- BulkAggregateQuestionResultsResponse
- BulkCreateHashTagsBody
- BulkCreateHashTagsBody_tags_inner
- BulkCreateHashTagsResponse
- BulkCreateHashTagsResponse_results_inner
- BulkPreBanParams
- BulkPreBanSummary
- ChangeCommentPinStatusResponse
- ChangeTicketStateBody
- ChangeTicketStateResponse
- CheckBlockedCommentsResponse
- CombineQuestionResultsWithCommentsResponse
- CommentData
- CommentHTMLRenderingMode
- CommentLogData
- CommentLogEntry
- CommentLogType
- CommentQuestionResultsRenderingType
- CommentQuestionsRequired
- CommentTextUpdateRequest
- CommentThreadDeletionMode
- CommentUserBadgeInfo
- CommentUserHashTagInfo
- CommentUserMentionInfo
- CommenterNameFormats
- CommentsByIdsParams
- CreateAPIPageData
- CreateAPISSOUserData
- CreateAPIUserSubscriptionData
- CreateCommentParams
- CreateEmailTemplateBody
- CreateEmailTemplateResponse
- CreateFeedPostParams
- CreateFeedPostResponse
- CreateFeedPostsResponse
- CreateHashTagBody
- CreateHashTagResponse
- CreateModeratorBody
- CreateModeratorResponse
- CreateQuestionConfigBody
- CreateQuestionConfigResponse
- CreateQuestionResultBody
- CreateQuestionResultResponse
- CreateSubscriptionAPIResponse
- CreateTenantBody
- CreateTenantPackageBody
- CreateTenantPackageResponse
- CreateTenantResponse
- CreateTenantUserBody
- CreateTenantUserResponse
- CreateTicketBody
- CreateTicketResponse
- CreateUserBadgeParams
- CreateV1PageReact
- CustomConfigParameters
- CustomEmailTemplate
- DeleteCommentAction
- DeleteCommentResult
- DeleteDomainConfigResponse
- DeleteFeedPostPublicResponse
- DeleteHashTagRequestBody
- DeletePageAPIResponse
- DeleteSSOUserAPIResponse
- DeleteSubscriptionAPIResponse
- DeletedCommentResultComment
- DigestEmailFrequency
- EmailTemplateDefinition
- EmailTemplateRenderErrorResponse
- EventLogEntry
- FComment
- FComment_meta
- FeedPost
- FeedPostLink
- FeedPostMediaItem
- FeedPostMediaItemAsset
- FeedPostStats
- FeedPostsStatsResponse
- FindCommentsByRangeItem
- FindCommentsByRangeResponse
- FlagCommentResponse
- GetAuditLogsResponse
- GetBannedUsersCountResponse
- GetBannedUsersFromCommentResponse
- GetCachedNotificationCountResponse
- GetCommentBanStatusResponse
- GetCommentTextResponse
- GetCommentVoteUserNamesSuccessResponse
- GetCommentsForUserResponse
- GetCommentsResponseWithPresence_PublicComment_
- GetCommentsResponse_PublicComment_
- GetDomainConfigResponse
- GetDomainConfigsResponse
- GetDomainConfigsResponse_anyOf
- GetDomainConfigsResponse_anyOf_1
- GetEmailTemplateDefinitionsResponse
- GetEmailTemplateRenderErrorsResponse
- GetEmailTemplateResponse
- GetEmailTemplatesResponse
- GetEventLogResponse
- GetFeedPostsResponse
- GetGifsSearchResponse
- GetGifsTrendingResponse
- GetHashTagsResponse
- GetModeratorResponse
- GetModeratorsResponse
- GetMyNotificationsResponse
- GetNotificationCountResponse
- GetNotificationsResponse
- GetPageByURLIdAPIResponse
- GetPagesAPIResponse
- GetPendingWebhookEventCountResponse
- GetPendingWebhookEventsResponse
- GetPublicFeedPostsResponse
- GetPublicPagesResponse
- GetQuestionConfigResponse
- GetQuestionConfigsResponse
- GetQuestionResultResponse
- GetQuestionResultsResponse
- GetSSOUserByEmailAPIResponse
- GetSSOUserByIdAPIResponse
- GetSSOUsersResponse
- GetSubscriptionsAPIResponse
- GetTenantDailyUsagesResponse
- GetTenantManualBadgesResponse
- GetTenantPackageResponse
- GetTenantPackagesResponse
- GetTenantResponse
- GetTenantUserResponse
- GetTenantUsersResponse
- GetTenantsResponse
- GetTicketResponse
- GetTicketsResponse
- GetTranslationsResponse
- GetUserInternalProfileResponse
- GetUserInternalProfileResponse_profile
- GetUserManualBadgesResponse
- GetUserNotificationCountResponse
- GetUserPresenceStatusesResponse
- GetUserResponse
- GetUserTrustFactorResponse
- GetV1PageLikes
- GetV2PageReactUsersResponse
- GetV2PageReacts
- GetVotesForUserResponse
- GetVotesResponse
- GifGetLargeResponse
- GifRating
- GifSearchInternalError
- GifSearchResponse
- GifSearchResponse_images_inner_inner
- HeaderAccountNotification
- HeaderState
- IgnoredResponse
- ImageContentProfanityLevel
- ImportedAgentApprovalNotificationFrequency
- ImportedSiteType
- LiveEvent
- LiveEventType
- LiveEvent_extraInfo
- MediaAsset
- MentionAutoCompleteMode
- MetaItem
- ModerationAPIChildCommentsResponse
- ModerationAPIComment
- ModerationAPICommentLog
- ModerationAPICommentResponse
- ModerationAPICountCommentsResponse
- ModerationAPIGetCommentIdsResponse
- ModerationAPIGetCommentsResponse
- ModerationAPIGetLogsResponse
- ModerationCommentSearchResponse
- ModerationExportResponse
- ModerationExportStatusResponse
- ModerationFilter
- ModerationPageSearchProjected
- ModerationPageSearchResponse
- ModerationSiteSearchProjected
- ModerationSiteSearchResponse
- ModerationSuggestResponse
- ModerationUserSearchProjected
- ModerationUserSearchResponse
- Moderator
- NotificationAndCount
- NotificationObjectType
- NotificationType
- PageUserEntry
- PageUsersInfoResponse
- PageUsersOfflineResponse
- PageUsersOnlineResponse
- PagesSortBy
- PatchDomainConfigParams
- PatchDomainConfigResponse
- PatchPageAPIResponse
- PatchSSOUserAPIResponse
- PendingCommentToSyncOutbound
- PostRemoveCommentApiResponse
- PreBanSummary
- PubSubComment
- PubSubCommentBase
- PubSubVote
- PublicAPIDeleteCommentResponse
- PublicAPIGetCommentTextResponse
- PublicAPISetCommentTextResponse
- PublicBlockFromCommentParams
- PublicComment
- PublicCommentBase
- PublicFeedPostsResponse
- PublicPage
- PublicVote
- PutDomainConfigResponse
- PutSSOUserAPIResponse
- QueryPredicate
- QueryPredicate_value
- QuestionConfig
- QuestionConfig_customOptions_inner
- QuestionDatum
- QuestionRenderingType
- QuestionResult
- QuestionResultAggregationOverall
- QuestionSubQuestionVisibility
- QuestionWhenSave
- ReactBodyParams
- ReactFeedPostResponse
- Record_string__before_string_or_null__after_string_or_null___value
- RemoveCommentActionResponse
- RemoveUserBadgeResponse
- RenderEmailTemplateBody
- RenderEmailTemplateResponse
- RenderableUserNotification
- RepeatCommentCheckIgnoredReason
- RepeatCommentHandlingAction
- ReplaceTenantPackageBody
- ReplaceTenantUserBody
- ResetUserNotificationsResponse
- SORT_DIR
- SSOSecurityLevel
- SaveCommentResponseOptimized
- SaveCommentsBulkResponse
- SaveCommentsResponseWithPresence
- SearchUsersResponse
- SearchUsersResult
- SearchUsersSectionedResponse
- SetCommentApprovedResponse
- SetCommentTextParams
- SetCommentTextResponse
- SetCommentTextResult
- SetUserTrustFactorResponse
- SizePreset
- SortDirections
- SpamRule
- TOSConfig
- TenantBadge
- TenantHashTag
- TenantPackage
- UnBlockFromCommentParams
- UnblockSuccess
- UpdatableCommentParams
- UpdateAPIPageData
- UpdateAPISSOUserData
- UpdateAPIUserSubscriptionData
- UpdateDomainConfigParams
- UpdateEmailTemplateBody
- UpdateFeedPostParams
- UpdateHashTagBody
- UpdateHashTagResponse
- UpdateModeratorBody
- UpdateNotificationBody
- UpdateQuestionConfigBody
- UpdateQuestionResultBody
- UpdateSubscriptionAPIResponse
- UpdateTenantBody
- UpdateTenantPackageBody
- UpdateTenantUserBody
- UpdateUserBadgeParams
- UpdateUserNotificationCommentSubscriptionStatusResponse
- UpdateUserNotificationPageSubscriptionStatusResponse
- UpdateUserNotificationStatusResponse
- UploadImageResponse
- User
- UserBadge
- UserBadgeProgress
- UserNotification
- UserNotificationCount
- UserNotificationWriteResponse
- UserPresenceData
- UserReactsResponse
- UserSearchResult
- UserSearchSection
- UserSearchSectionResult
- UserSessionInfo
- UsersListLocation
- VoteBodyParams
- VoteDeleteResponse
- VoteResponse
- VoteResponseUser
- VoteStyle
Documentation for Authorization
api_key
- Type: API key
- API key parameter name: x-api-key
- Location: HTTP header
Toplama 
Belgeleri gruplandırarak (eğer groupBy sağlanmışsa) ve birden fazla işlem uygulayarak toplar.
Farklı işlemler (ör. sum, countDistinct, avg, vb.) desteklenir.
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| aggregationRequest | AggregationRequest | Hayır | |
| options | AggregateOptions | Hayır |
Yanıt
Döndürür: Option[AggregateResponse]
Örnek

Denetim Kayıtlarını Al 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| options | GetAuditLogsOptions | Hayır |
Yanıt
Döndürür: Option[GetAuditLogsResponse]
Örnek

ÇıkışYapPublic 
Yanıt
Döndürülen: Option[APIEmptyResponse]
Örnek

YorumdanBloklaPublic 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| publicBlockFromCommentParams | PublicBlockFromCommentParams | No | |
| sso | string = "" | No |
Yanıt
Döndürür: Option[BlockSuccess]
Örnek

YorumBlokunuKaldirPublic 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| publicBlockFromCommentParams | PublicBlockFromCommentParams | No | |
| sso | string = "" | No |
Yanıt
Döndürür: Option[UnblockSuccess]
Örnek

BloklananlarİçinKontrolEdilenYorumlar 
Parametreler
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| commentIds | string | No | |
| sso | string = "" | No |
Yanıt
Döndürür: Option[CheckBlockedCommentsResponse]
Örnek

KullanıcıyıYorumdanBlokla 
Parametreler
| İsim | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| id | string | Hayır | |
| blockFromCommentParams | BlockFromCommentParams | Hayır | |
| options | BlockUserFromCommentOptions | Hayır |
Yanıt
Döndürür: Option[BlockSuccess]
Örnek

YorumOluşturPublic 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| urlId | string | Yes | |
| broadcastId | string | No | |
| commentData | CommentData | No | |
| options | CreateCommentPublicOptions | No |
Yanıt
Döndürür: Option[SaveCommentsResponseWithPresence]
Örnek

YorumSil 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| options | DeleteCommentOptions | No |
Yanıt
Döndürür: Option[DeleteCommentResult]
Örnek

YorumSilPublic 
Parametreler
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| broadcastId | string | No | |
| options | DeleteCommentPublicOptions | No |
Yanıt
Döndürür: Option[PublicAPIDeleteCommentResponse]
Örnek

YorumOySil 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| voteId | string | No | |
| urlId | string | Yes | |
| broadcastId | string | No | |
| options | DeleteCommentVoteOptions | No |
Yanıt
Döndürür: Option[VoteDeleteResponse]
Örnek

Yorumİşaretle 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| id | string | Hayır | |
| options | FlagCommentOptions | Hayır |
Yanıt
Döndürür: Option[FlagCommentResponse]
Örnek

YorumAl 
Parametreler
| İsim | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No |
Yanıt
Döndürür: Option[APIGetCommentResponse]
Örnek

YorumlarıAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| options | GetCommentsOptions | No |
Yanıt
Döndürür: Option[APIGetCommentsResponse]
Örnek

YorumlarıAlPublic 
istek tenantId urlId
Parametreler
| İsim | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| urlId | string | Evet | |
| options | GetCommentsPublicOptions | Hayır |
Yanıt
Döndürür: Option[GetCommentsResponseWithPresencePublicComment]
Örnek

YorumMetniniAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| options | GetCommentTextOptions | No |
Yanıt
Döndürür: Option[PublicAPIGetCommentTextResponse]
Örnek

YorumOyKullanıcıAdlarınıAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| commentId | string | Evet | |
| dir | int | Hayır | |
| sso | string = "" | Hayır |
Yanıt
Döndürür: Option[GetCommentVoteUserNamesSuccessResponse]
Örnek

YorumKilitle 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| broadcastId | string | No | |
| sso | string = "" | No |
Yanıt
Döndürür: Option[APIEmptyResponse]
Örnek

YorumSabitle 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| broadcastId | string | No | |
| sso | string = "" | No |
Yanıt
Döndürür: Option[ChangeCommentPinStatusResponse]
Örnek

YorumKaydet 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| createCommentParams | CreateCommentParams | Hayır | |
| options | SaveCommentOptions | Hayır |
Yanıt
Döndürür: Option[APISaveCommentResponse]
Örnek

YorumlarıTopluKaydet 
Parametreler
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| createCommentParams | seq[CreateCommentParams] | No | |
| options | SaveCommentsBulkOptions): (Option[seq[SaveCommentsBulkResponse]] | No | |
| id | string | No | |
| fromName | string | No |
Yanıt
Döndürür: Option[APIEmptyResponse]
Örnek

YorumMetniniAyarla 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| broadcastId | string | No | |
| commentTextUpdateRequest | CommentTextUpdateRequest | No | |
| options | SetCommentTextOptions | No |
Yanıt
Döndürür: Option[PublicAPISetCommentTextResponse]
Örnek

KullanıcıYorumBlokunuKaldir 
Parametreler
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| unBlockFromCommentParams | UnBlockFromCommentParams | No | |
| options | UnBlockUserFromCommentOptions | No |
Yanıt
Döner: Option[UnblockSuccess]
Örnek

YorumİşaretiniKaldir 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| id | string | Hayır | |
| options | UnFlagCommentOptions | Hayır |
Yanıt
Döndürür: Option[FlagCommentResponse]
Örnek

YorumKilidiniKaldir 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| commentId | string | Evet | |
| broadcastId | string | Hayır | |
| sso | string = "" | Hayır |
Yanıt
Döndürür: Option[APIEmptyResponse]
Örnek

YorumSabitlemesiniKaldir 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| commentId | string | Evet | |
| broadcastId | string | Hayır | |
| sso | string = "" | Hayır |
Yanıt
Döndürür: Option[ChangeCommentPinStatusResponse]
Örnek

YorumGüncelle 
Parametreler
| İsim | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| updatableCommentParams | UpdatableCommentParams | No | |
| options | UpdateCommentOptions | No |
Yanıt
Döndürür: Option[APIEmptyResponse]
Örnek

YorumOyla 
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| urlId | string | Yes | |
| broadcastId | string | No | |
| voteBodyParams | VoteBodyParams | No | |
| options | VoteCommentOptions | No |
Response
Döndürür: Option[VoteResponse]
Example

KullanıcıİçinYorumlarıAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| options | GetCommentsForUserOptions | Hayır |
Yanıt
Döner: Option[GetCommentsForUserResponse]
Örnek

DomainYapılandırmasıEkle 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| addDomainConfigParams | AddDomainConfigParams | Hayır |
Yanıt
Döndürür: Option[AddDomainConfigResponse]
Örnek

DomainYapılandırmasıSil 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| domain | string | No |
Yanıt
Döndürür: Option[DeleteDomainConfigResponse]
Örnek

DomainYapılandırmasıAl 
Parametreler
| Ad | Tip | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| domain | string | No |
Yanıt
Döndürür: Option[GetDomainConfigResponse]
Örnek

DomainYapılandırmalarınıAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet |
Yanıt
Döndürür: Option[GetDomainConfigsResponse]
Örnek

DomainYapılandırmasıYama 
Parameters
| İsim | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| domainToUpdate | string | Hayır | |
| patchDomainConfigParams | PatchDomainConfigParams | Hayır |
Response
Döndürür: Option[PatchDomainConfigResponse]
Example

DomainYapılandırmasıYükle 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| domainToUpdate | string | Hayır | |
| updateDomainConfigParams | UpdateDomainConfigParams | Hayır |
Yanıt
Döndürür: Option[PutDomainConfigResponse]
Örnek

EpostaŞablonuOluştur 
Parametreler
| Ad | Tip | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| createEmailTemplateBody | CreateEmailTemplateBody | Hayır |
Yanıt
Döndürür: Option[CreateEmailTemplateResponse]
Örnek

EpostaŞablonuSil 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| id | string | Hayır |
Yanıt
Döndürür: Option[APIEmptyResponse]
Örnek

EpostaŞablonuRenderHatasınıSil 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| id | string | Hayır | |
| errorId | string | Hayır |
Yanıt
Döndürür: Option[APIEmptyResponse]
Örnek

EpostaŞablonuAl 
Parametreler
| İsim | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No |
Yanıt
Döndürür: Option[GetEmailTemplateResponse]
Örnek

EpostaŞablonuTanımlarınıAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet |
Yanıt
Döndürür: Option[GetEmailTemplateDefinitionsResponse]
Örnek

EpostaŞablonuRenderHatalarınıAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| skip | float64 | No |
Yanıt
Döndürür: Option[GetEmailTemplateRenderErrorsResponse]
Örnek

EpostaŞablonlarınıAl 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| skip | float64 | Hayır |
Yanıt
Döndürür: Option[GetEmailTemplatesResponse]
Örnek

EpostaŞablonunuRenderla 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| renderEmailTemplateBody | RenderEmailTemplateBody | Hayır | |
| locale | string = "" | Hayır |
Yanıt
Döndürür: Option[RenderEmailTemplateResponse]
Örnek

EpostaŞablonunuGüncelle 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| id | string | Hayır | |
| updateEmailTemplateBody | UpdateEmailTemplateBody | Hayır |
Yanıt
Döndürür: Option[APIEmptyResponse]
Örnek

OlayKayıtlarınıAl 
req tenantId urlId userIdWS
Parametreler
| Ad | Tip | Gereklilik | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| urlId | string | Evet | |
| userIdWS | string | Hayır | |
| startTime | int64 | Hayır | |
| endTime | int64 | Hayır |
Yanıt
Döndürür: Option[GetEventLogResponse]
Örnek

GenelOlayKayıtlarınıAl 
req tenantId urlId userIdWS
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| urlId | string | Yes | |
| userIdWS | string | No | |
| startTime | int64 | No | |
| endTime | int64 | No |
Yanıt
Döndürür: Option[GetEventLogResponse]
Örnek

AkışGönderisiOluştur 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| createFeedPostParams | CreateFeedPostParams | No | |
| options | CreateFeedPostOptions | No |
Yanıt
Döndürür: Option[CreateFeedPostsResponse]
Örnek

AkışGönderisiOluşturPublic 
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| createFeedPostParams | CreateFeedPostParams | No | |
| options | CreateFeedPostPublicOptions | No |
Yanıt
Döndürür: Option[CreateFeedPostResponse]
Örnek

AkışGönderisiSilPublic 
Parametreler
| Ad | Tür | Zorunlu | Açıklama |
|---|---|---|---|
| tenantId | string | Yes | |
| postId | string | No | |
| options | DeleteFeedPostPublicOptions | No |
Yanıt
Döndürür: Option[DeleteFeedPostPublicResponse]
Örnek

AkışGönderileriniAl 
req tenantId afterId
Parametreler
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| options | GetFeedPostsOptions | Hayır |
Yanıt
Döndürür: Option[GetFeedPostsResponse]
Örnek

AkışGönderileriniAlPublic 
req tenantId afterId
Parametreler
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| options | GetFeedPostsPublicOptions | No |
Yanıt
Returns: Option[PublicFeedPostsResponse]
Örnek

AkışGönderileriİstatistikleriniAl 
Parameters
| Ad | Tür | Gerekli | Açıklama |
|---|---|---|---|
| tenantId | string | Evet | |
| postIds | seq[string] | Hayır | |
| sso | string = "" | Hayır |
Yanıt
Döndürür: Option[FeedPostsStatsResponse]
Örnek
